using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using IronIntel.Contractor.MapView;
using IronIntel.Contractor.Users;
using IronIntel.Contractor.Machines;
using IronIntel.Contractor;
using IronIntel.DataModel;
using IronIntel.DataModel.Admin.Customers;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            //  IronIntelHostEnvironment.InitHost(new IronIntelDebugHost());

            //  Test1();

            Guid gd = new Guid("10000000-0000-0000-0000-100000000001");

            ContractorHost.Init();

            testdemo();
            Console.ReadLine();
        }

        private static void Test1()
        {
            var cm = IronIntelHostEnvironment.GetCustomerManager();
           var db= cm.GetCustomerDatabaseInfo("Foresight", "IRONINTEL_ADMINDB");
            Console.WriteLine(db.ToString());
            //var loc = cm.GetLocationManager("IRONDEV");

            //var locs = loc.GetCustomerLocations();
            //Console.WriteLine(locs.ToString());
        }

        private static void testlogin()
        {
            var lm = IronIntelHostEnvironment.GetLoginManager();

            lm.DeleteUser("6D3A02C7-FC25-47C0-A7A4-97D470EA4CC5", true);

         //  Console.WriteLine(r.ToString());
        }

        private static void testdemo()
        {
            var usermanager = ContractorHost.Instance.GetContractorManager<IronIntel.DataModel.Contractor.Users.UserManager>();            

        }
    }
}
